Reduce the number of jsms loaded in content processes
Every jsm we load has a compartment that uses  to  based on what I see in about:memory. That cost is paid per content process, so with e10s multi that can add up. I'm going to look into what we can do to reduce the number of jsms we have loaded at any given time. I'll start with simpler things and then build towards fancier things as the need arises.
